## abiword 2.8.1-2maemo4

=== debian/changelog ===
abiword (2.8.1-2maemo4) fremantle; urgency=low

  * Redesigned some dialogs

 -- Tomasz Pieniazek <t.pieniazek@gazeta.pl>  Mon,  6 Sep 2010 21:15:03 +0200
