=== debian/control ===
Source: abiword
Section: gnome
Priority: optional
Maintainer: Patrik Fimml <patrik@fimml.at>
Build-Depends: cdbs, debhelper (>= 7), quilt, libaiksaurus-1.2-dev (>= 1.2.1+dev-0.12-1.1), libaiksaurusgtk-1.2-dev (>= 1.2.1+dev-0.12-1.1), libasio-dev (>= 1.4.1), libenchant-dev (>= 1.2.0), libfreetype6-dev, libfribidi-dev, libglade2-dev, libglib2.0-dev, libgsf-1-dev (>= 1.13.2), libgtk2.0-dev, libgtkmathview-dev (>= 0.7.5), liblink-grammar4-dev (>= 4.6.7), libloudmouth1-dev, libots-dev, libpng12-dev, libpopt-dev, libreadline-dev, libwmf-dev, libwpd-dev, libwpg-dev (>= 0.1.0), libwps-dev, libwv-dev (>= 1.2), libgoffice-0.8-dev, libpsiconv-dev (>= 0.9.4), librsvg2-dev (>= 2.16.0), libboost-regex-dev, libsoup2.4-dev, libdbus-glib-1-dev, libxslt1-dev, libgsf-1-dev, librasqal3-dev, librdf0-dev
Standards-Version: 3.9.1.0
Homepage: http://www.abisource.com/
Vcs-Browser: http://git.debian.org/?p=users/patrikf-guest/abiword.git;a=summary
Vcs-Git: git://git.debian.org/users/patrikf-guest/abiword.git

Package: abiword-common
Section: editors
Architecture: all
Depends: ${misc:Depends}
Description: efficient, featureful word processor with collaboration -- common files
 AbiWord is a full-featured, efficient word processing application.
 It is suitable for a wide variety of word processing tasks, and
 is extensible with a variety of plugins.
 .
 This package contains the common files that are used on all architectures
 without modification.

Package: abiword
Section: editors
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, abiword-common (>= ${source:Version}), gsfonts
Recommends: abiword-plugin-grammar, abiword-plugin-mathview, aspell-en | aspell-dictionary, poppler-utils, ttf-liberation
Description: efficient, featureful word processor with collaboration
 AbiWord is a full-featured, efficient word processing application.
 It is suitable for a wide variety of word processing tasks, and
 is extensible with a variety of plugins.
 .
 This package includes many of the available import/export plugins allowing
 AbiWord to interact with ODT, WordPerfect, and other formats.  It also
 includes tools plugins, offering live collaboration with AbiWord users
 on Linux and Windows (using TCP or Jabber/XMPP), web translation and
 dictionary support, and more.
 .
 Additional plugins that require significant amounts of extra software to
 function are in the various abiword-plugin-* packages.

Package: abiword-plugin-grammar
Section: editors
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, abiword (= ${binary:Version})
Description: grammar checking plugin for AbiWord
 AbiWord is a full-featured, efficient word processing application.
 It is suitable for a wide variety of word processing tasks, and
 is extensible with a variety of plugins.
 .
 This package contains an in-line grammar checking system for AbiWord
 documents.

Package: abiword-plugin-mathview
Section: editors
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, abiword (= ${binary:Version}), ttf-lyx
Description: equation editor plugin for AbiWord
 AbiWord is a full-featured, efficient word processing application.
 It is suitable for a wide variety of word processing tasks, and
 is extensible with a variety of plugins.
 .
 This package contains an equation editing system for AbiWord
 documents.

Package: libabiword-2.9
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: efficient, featureful word processor with collaboration -- shared library
 AbiWord is a full-featured, efficient word processing application.
 It is suitable for a wide variety of word processing tasks, and
 is extensible with a variety of plugins.
 .
 This package contains the shared library, enabling other applications to
 integrate AbiWord functionality.

Package: libabiword-2.9-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libabiword-2.9 (= ${binary:Version})
Description: efficient, featureful word processor with collaboration -- development files
 AbiWord is a full-featured, efficient word processing application.
 It is suitable for a wide variety of word processing tasks, and
 is extensible with a variety of plugins.
 .
 This package contains development files for software linking against
 libabiword-2.9.
