## abiword 2.9.2

=== debian/changelog ===
abiword (2.9.2-1) unstable; urgency=low

  * New Upstream Release (2011-11-14)
  * New maintainer (Closes: #648341)
  * Packaging update
    + standards to recent versions
    - completely dropped CDBS, in favour of debhelper
    + parallel build
    + --as-needed to minimize needless linking
    + dh-autoreconf replaced old patches for make files
    + use dpkg-provided build flags + hardening
    + build-depends update (Closes: #655308)
      - dropped libgoffice dependency (to package latest abiword 2.9.2)
      + added note to README.Debian
    + debian/copyright to DEP-5 format
    + revised mime-types-desktop patch (Closes: #608164)
    + new patch to disable smooth scrolling (Closes: #624095)
    + new patch (only applied on Hurd) to fix GNU Hurd build problem
      (Closes: #648153) (Thanks to Svante Signell)
    + debian/watch is updated
    - README.source is removed

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Mon, 21 Nov 2011 01:58:27 +1100
