## abiword 2.9.2+svn20120123

=== debian/changelog ===
abiword (2.9.2+svn20120123-1) unstable; urgency=low

  * New Upstream Release, based on 'trunk' version as of 2012-01-23
    (Closes: #657287 "very slow start with many fonts installed")
  * Added upstream ChangeLog
  * Drop FTBFS patch for GNU/Hurd (accepted upstream)
  * Drop 656335-telepathy.patch (not needed in trunk)
  * Disabled make-clean.patch (not needed in trunk)
  * Disabled old fix-format-security.patch (needs update)
  * Patch to update Gnome Office URL (Closes: #657909)
  * Recommend fonts-liberation instead of ttf-liberation
  * flex added to Build-Depends-Indep to force regeneration of lex.yy.c
  * subversion(-tools) added to Build-Depends to satisfy get-orig-source
  * debian/rules:
    + get-orig-source modified for SVN
    + --enable-collab-backend-sugar
    + --with-redland
    + safer defaults for parallel build
  * Bugs squashed:
    - (Closes: #582225 "Abiword hangs/freezes when trying to embed
       Gnumeric file")
    - (Closes: #650302 "When changing principal direction of bidi text,
       it gets reversed and then cursor skips)
    - (Closes: #456624 "renders Khmer Unicode as small circles unless a
       Khmer font is applied")

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Fri, 27 Jan 2012 19:21:11 +1100

abiword (2.9.2-5) unstable; urgency=low

  * debian/control: removed unnecessary build-deps
  * debian/rules: check if flex is available to regenerate
    plugins/mathview/itex2mml/lex.yy.c

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Wed, 25 Jan 2012 16:21:31 +1100

abiword (2.9.2-4) unstable; urgency=low

  * FTBFS4Hurd.patch is updated.
  * force build-time regeneration of binary files shipped with sources
    + 'bison' added to Build-Depends
  * patch to prevent abiword from breaking its own source tree
    (prevent failure on second build)
  * arch-specific patch no longer break second build

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sat, 21 Jan 2012 12:20:09 +1100

abiword (2.9.2-3) unstable; urgency=low

  * debian/abiword.mime: added missing end-of-line
    (Closes: #623136) Thanks to Kalle Olavi Niemitalo <kon@iki.fi>
  * VCS links updated to point to collab-maint
  * Build options updated:
    + new plugin: epub
    + new backend: telepathy (Closes: #656335) Thanks to Svante Signell
      (implemented with patch to add missing upstream file from trunk)
    + --with-libtidy to clean up HTML before importing (MHT plugin)
    - removed --enable-static (no longer build static libraries)
    - removed --enable-shave (use --enable-silent-rules instead)
    + added --enable-silent-rules
    + added --enable-dependency-tracking (speed up build)
  * new abiword-dbg package (Closes: #562733)

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 19 Jan 2012 19:31:11 +1100

abiword (2.9.2-2) unstable; urgency=low

  * libabiword-2.9-dev Depends (Closes: #656252)
  * fixed debian/patches/series
  * fixed arch-dependent patching (Closes: #648153)
  * safer parallel build

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 19 Jan 2012 03:13:36 +1100
