=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: gnome
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@member.fsf.org>
-Build-Depends: debhelper (>= 8), dh-autoreconf, quilt, libjpeg8-dev, 
- libaiksaurus-1.2-dev (>= 1.2.1+dev-0.12-1.1), libaiksaurusgtk-1.2-dev (>= 1.2.1+dev-0.12-1.1),
- libasio-dev (>= 1.4.1), libenchant-dev (>= 1.2.0), libfreetype6-dev, libfribidi-dev, libglade2-dev,
- libglib2.0-dev, libgsf-1-dev (>= 1.13.2), libgtk2.0-dev, libgtkmathview-dev (>= 0.7.5),
- liblink-grammar4-dev (>= 4.6.7), libloudmouth1-dev, libots-dev, libpng12-dev, libpopt-dev,
- libreadline-dev, libwmf-dev, libwpd-dev, libwpg-dev (>= 0.1.0), libwps-dev, libwv-dev (>= 1.2),
- libgtk-3-dev, libpsiconv-dev (>= 0.9.4), librsvg2-dev (>= 2.16.0), libboost-regex-dev,
- libsoup2.4-dev, libdbus-glib-1-dev, libxslt1-dev, libgsf-1-dev, librasqal3-dev, librdf0-dev
+Build-Depends: debhelper (>= 8), dh-autoreconf, quilt,
+ bison, libaiksaurus-1.2-dev, libaiksaurusgtk-1.2-dev, libasio-dev, libenchant-dev,
+ libfribidi-dev, libgtk2.0-dev, libglib2.0-dev, libgtk-3-dev, libgtkmathview-dev,
+ libjpeg8-dev, liblink-grammar4-dev, libloudmouth1-dev, libots-dev, libpng12-dev,
+ librdf0-dev, libreadline-dev, librsvg2-dev, libsoup2.4-dev, libtelepathy-glib-dev,
+ libtidy-dev, libwmf-dev, libwpg-dev, libwps-dev, libwv-dev, libxslt1-dev,
+ subversion, subversion-tools
+Build-Depends-Indep: flex
 Standards-Version: 3.9.2
 Homepage: http://www.abisource.com/
-Vcs-Browser: http://git.debian.org/?p=users/onlyjob-guest/abiword.git
-Vcs-Git: git://anonscm.debian.org/users/onlyjob-guest/abiword.git
+VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/abiword.git
+VCS-Git: git://anonscm.debian.org/collab-maint/abiword.git
 
 Package: abiword-common
 Section: editors
@@ -31,7 +31,7 @@
 Section: editors
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, abiword-common (>= ${source:Version}), gsfonts
-Recommends: abiword-plugin-grammar, abiword-plugin-mathview, aspell-en | aspell-dictionary, poppler-utils, ttf-liberation
+Recommends: abiword-plugin-grammar, abiword-plugin-mathview, aspell-en | aspell-dictionary, poppler-utils, fonts-liberation
 Description: efficient, featureful word processor with collaboration
  AbiWord is a full-featured, efficient word processing application.
  It is suitable for a wide variety of word processing tasks, and
@@ -86,6 +86,8 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, libabiword-2.9 (= ${binary:Version})
+ ,libfribidi-dev ,libglib2.0-dev ,libgsf-1-dev ,libwv-dev ,libenchant-dev ,librdf0-dev
+ ,librasqal3-dev ,libcairo2-dev ,libpango1.0-dev ,libgtk-3-dev ,librsvg2-dev
 Description: efficient, featureful word processor with collaboration -- development files
  AbiWord is a full-featured, efficient word processing application.
  It is suitable for a wide variety of word processing tasks, and
@@ -93,3 +95,21 @@
  .
  This package contains development files for software linking against
  libabiword-2.9.
+
+Package: abiword-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: abiword (= ${binary:Version}), ${misc:Depends}
+Description: debugging symbols for abiword word processor
+ AbiWord is a full-featured, efficient word processing application.
+ It is suitable for a wide variety of word processing tasks, and
+ is extensible with a variety of plugins.
+ .
+ This package includes many of the available import/export plugins allowing
+ AbiWord to interact with ODT, WordPerfect, and other formats.  It also
+ includes tools plugins, offering live collaboration with AbiWord users
+ on Linux and Windows (using TCP or Jabber/XMPP), web translation and
+ dictionary support, and more.
+ .
+ This package contains debugging symbols needed for debugging abiword.
