=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: gnome
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@member.fsf.org>
-Build-Depends: debhelper (>= 8), dh-autoreconf, quilt,
+Build-Depends: debhelper (>= 9), dh-autoreconf, quilt,
  bison, libaiksaurus-1.2-dev, libaiksaurusgtk-1.2-dev, libasio-dev, libenchant-dev,
  libfribidi-dev, libgtk2.0-dev, libglib2.0-dev, libgtk-3-dev, libgtkmathview-dev,
  libjpeg8-dev, liblink-grammar4-dev, libloudmouth1-dev, libots-dev, libpng12-dev,
  librdf0-dev, libreadline-dev, librsvg2-dev, libsoup2.4-dev, libtelepathy-glib-dev,
  libtidy-dev, libwmf-dev, libwpg-dev, libwps-dev, libwv-dev, libxslt1-dev,
- subversion, subversion-tools
+ subversion, subversion-tools, imagemagick
 Build-Depends-Indep: flex
 Standards-Version: 3.9.2
 Homepage: http://www.abisource.com/
@@ -73,6 +73,8 @@
 Package: libabiword-2.9
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: efficient, featureful word processor with collaboration -- shared library
  AbiWord is a full-featured, efficient word processing application.
