## abiword 2.9.2+svn20120215

=== debian/changelog ===
abiword (2.9.2+svn20120215-2) unstable; urgency=low

  * d-copyright:
    + audit of upstream copyrights/licenses;
    + added copyrights of debian contributors
    + DEP-5 URL is updated
  * copyright.hints and 'licensecheck' target
    to track upstream copyright/licensing changes
  * d-control:
    + build-deps: transition from 'libpng12-dev' to 'libpng-dev'
      (Closes: #662262 I:"Build-Depends on libpng-dev..."
    + standards to 3.9.3
    + 'flex' moved to build-deps from build-deps-indep
      to always rebuild arc-independent files
  * d-rules: build with '+bindnow' hardening

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Mon, 05 Mar 2012 15:11:31 +1100

abiword (2.9.2+svn20120215-1) unstable; urgency=low

  * New Upstream Release, based on 'trunk' version as of 2012-02-14
  * dropped hardening-format.patch (applied upstream)
  * patch to fix dangerous regression causing FTBFS on GNU Hurd
  * debian/watch is corrected to mangle/ignore subversion number

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sun, 19 Feb 2012 19:40:39 +1100
