=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: gnome
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@member.fsf.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, quilt,
- bison, libaiksaurus-1.2-dev, libaiksaurusgtk-1.2-dev, libasio-dev, libenchant-dev,
+Build-Depends: debhelper (>= 9), dh-autoreconf, quilt, imagemagick,
+ bison, flex, libaiksaurus-1.2-dev, libaiksaurusgtk-1.2-dev, libasio-dev, libenchant-dev,
  libfribidi-dev, libgtk2.0-dev, libglib2.0-dev, libgtk-3-dev, libgtkmathview-dev,
- libjpeg8-dev, liblink-grammar4-dev, libloudmouth1-dev, libots-dev, libpng12-dev,
+ libjpeg8-dev, liblink-grammar4-dev, libloudmouth1-dev, libots-dev, libpng-dev,
  librdf0-dev, libreadline-dev, librsvg2-dev, libsoup2.4-dev, libtelepathy-glib-dev,
  libtidy-dev, libwmf-dev, libwpg-dev, libwps-dev, libwv-dev, libxslt1-dev,
- subversion, subversion-tools, imagemagick
-Build-Depends-Indep: flex
-Standards-Version: 3.9.2
+ subversion, subversion-tools,
+# valgrind is only used in post-build tests, enable on available architectures
+ valgrind [amd64 armel armhf i386 powerpc],
+Standards-Version: 3.9.3
 Homepage: http://www.abisource.com/
 VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/abiword.git
 VCS-Git: git://anonscm.debian.org/collab-maint/abiword.git
