=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE := abiword

# arch-dependent patching
archpatch=$(wildcard debian/patches/series.$(DEB_HOST_ARCH_OS))
$(info $(if $(archpatch), $(shell cat $(archpatch) >> debian/patches/series \
&& $(RM) $(archpatch) && dh_quilt_patch)))

# parallel build by default on linux
ifeq ($(DEB_HOST_ARCH_OS),linux)
	ifeq ($(findstring parallel=,$(DEB_BUILD_OPTIONS)),)
		export DEB_BUILD_OPTIONS+=parallel=$(shell grep -c ^processor /proc/cpuinfo)
	endif
endif
$(info DEB_BUILD_OPTIONS:$(origin DEB_BUILD_OPTIONS)=$(DEB_BUILD_OPTIONS))

#: Disabling format hardening (-format) might help for error:
#: "format not a string literal and "no format arguments [-Werror=format-security]"
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
$(info DEB_BUILD_MAINT_OPTIONS:$(origin DEB_BUILD_MAINT_OPTIONS)=$(DEB_BUILD_MAINT_OPTIONS))

LDFLAGS+= -Wl,--as-needed

series := 2.9
plugins := aiksaurus applix babelfish bmp clarisworks collab command docbook \
	   eml epub freetranslation garble gdict gimp google grammar hancom \
	   hrtext iscii kword latex loadbindings mathview mht mif mswrite \
	   opendocument openwriter openxml opml ots paint passepartout pdb \
	   pdf presentation s5 sdw t602 urldict wikipedia wmf wml \
	   wordperfect wpg xslfo
# goffice
# plugin 'rsvg' deliberately not used due to build problems. Is it deprecated?

%:
	dh $@ --parallel --with autoreconf

override_dh_autoreconf:
	# make plugins configuration if building from trunk
	[ ! -x "./autogen-common.sh" ] || ./autogen-common.sh
	dh_autoreconf -v --as-needed

#: Build instructions http://www.abisource.com/~fjf/BUILD.phtml
#: configure options reference: http://www.abisource.com/wiki/Compiling_AbiWord
override_dh_auto_configure:
	# generate icon
	convert abiword_48.png -resize 32x32 debian/abiword.xpm
	# clean file only if possible to regenerate
	[ ! -x "$(which flex)" ] || $(RM) plugins/mathview/itex2mml/lex.yy.c
	dh_auto_configure -- \
		--without-gnomevfs \
		--with-gio \
		--with-redland \
		--with-libtidy \
		--enable-shared \
		--enable-clipart \
		--enable-templates \
		--enable-collab-backend-tcp \
		--enable-collab-backend-xmpp \
		--enable-collab-backend-sugar \
		--enable-collab-backend-service \
		--enable-collab-backend-telepathy \
		--enable-silent-rules \
		--enable-dependency-tracking \
		--enable-plugins="$(plugins)"
##		--with-goffice
#		--with-gtk2 \

override_dh_auto_test:
	# do not stop on failed test(s)
	-dh_auto_test

override_dh_makeshlibs:
	$(RM) debian/abiword/usr/lib/$(DEB_HOST_MULTIARCH)/abiword-$(series)/plugins/grammar.*
	$(RM) debian/abiword/usr/lib/$(DEB_HOST_MULTIARCH)/abiword-$(series)/plugins/mathview.*
	dh_makeshlibs -V

override_dh_strip:
	dh_strip --dbg-package=abiword-dbg

## get-orig-source
.PHONY: licensecheck
COPHINTS := debian/copyright.hints
VER = $(shell dpkg-parsechangelog | perl -ne 'print $$1 if m/Version:\s*([\d\.+svn]+)/')
get-orig-source: licensecheck $(PACKAGE)-$(VER)/ChangeLog
	@echo "Packing..."
	tar cJf "$(PACKAGE)_$(VER).orig.tar.xz" "$(PACKAGE)-$(VER)" \
	&& $(RM) -r "$(PACKAGE)-$(VER)"

$(PACKAGE)-$(VER)/ChangeLog: $(PACKAGE)-$(VER)
	@echo "Generating ChangeLog..."
	cd "$(PACKAGE)-$(VER)" \
	&& svn2cl --break-before-msg --include-rev \
	&& perl -0pi -e 's{(\d+\])[^:]+?:\s+}{$$1 }sgm' ChangeLog \
	&& find . -depth -name ".svn" -exec $(RM) -r '{}' \;

licensecheck: $(PACKAGE)-$(VER)
	@echo "License check..."
	cd $(PACKAGE)-$(VER) \
	&& licensecheck --recursive --copyright --check='.*' --lines="99999" \
        --ignore='\.(po|png|hash|strings|lib|icns|doc|odt)\Z|^debian/' * \
	| grep -v '\*No copyright\* UNKNOWN' > ../$(COPHINTS).new
	DIF=$$(diff -U0 $(COPHINTS) $(COPHINTS).new) \
	; [ "$$?" -eq 0 ] && $(RM) $(COPHINTS).new \
	|| echo "$${DIF}" | tee $(COPHINTS).diff

$(PACKAGE)-$(VER):
	svn checkout -r {$$(echo $(VER) | perl -ne 'print $$1 if m/\+svn(\d+)/')} \
		http://svn.abisource.com/abiword/trunk/ $(PACKAGE)-$(VER) \
	|| $(RM) -r $(PACKAGE)-$(VER)
